List artifacts for a job
curl --request GET \
--url https://anythingmd.com/api/v1/jobs/{jobId}/artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://anythingmd.com/api/v1/jobs/{jobId}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://anythingmd.com/api/v1/jobs/{jobId}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://anythingmd.com/api/v1/jobs/{jobId}/artifacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"jobId": "<string>",
"artifacts": [
{
"id": "<string>",
"jobId": "<string>",
"kind": "markdown",
"contentType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"sizeBytes": 4503599627370495,
"downloadUrl": "<string>",
"text": "<string>",
"contentHash": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Artifacts
List artifacts for a job
GET
/
api
/
v1
/
jobs
/
{jobId}
/
artifacts
List artifacts for a job
curl --request GET \
--url https://anythingmd.com/api/v1/jobs/{jobId}/artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://anythingmd.com/api/v1/jobs/{jobId}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://anythingmd.com/api/v1/jobs/{jobId}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://anythingmd.com/api/v1/jobs/{jobId}/artifacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"jobId": "<string>",
"artifacts": [
{
"id": "<string>",
"jobId": "<string>",
"kind": "markdown",
"contentType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"sizeBytes": 4503599627370495,
"downloadUrl": "<string>",
"text": "<string>",
"contentHash": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Create a key under Settings → API Keys and send it as Authorization: Bearer amd_live_…. See https://docs.anythingmd.com/authentication.
Path Parameters
Id of an async job
Minimum string length:
1